Name:          libwmf
Version:       0.2.8.4
Release:       7mamba
Summary:       A library for reading vector images in native Windows Metafile Format
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://wvware.sourceforge.net/libwmf.html
Source:        http://heanet.dl.sourceforge.net/sourceforge/wvware/libwmf-%{version}.tar.gz
Patch0:        %{name}-0.2.8.3-gd-CAN-2004-0990.patch
Patch1:        %{name}-0.2.8.4-CAN-2004-0941.patch
Patch2:        %{name}-0.2.8.4-cve_2006_3376.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libfreetype-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libgd-devel >= 2.0.17
BuildRequires: libgdk-pixbuf-devel >= 0.22.0
BuildRequires: pkgconfig
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A library for reading vector images in Microsoft's native Windows Metafile Format (WMF) and for either (a) displaying them in, e.g., an X window; or (b) converting them to more standard/open file formats such as, e.g., the W3C's XML-based Scaleable Vector Graphic (SVG) format.
Currently bindings exist for conversion to the following vector image formats:
* (Encapsulated) PostScript (EPS & PS)
* Facility for Interactive Generation of graphics (FIG)
* Scaleable Vector Graphic (SVG) and to the following raster image formats:
* Portable Network Graphics (PNG)
* Joint Photographic Experts Group (JPEG)

%package devel
Summary:       Devel package for libwmf
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
A library for reading vector images in Microsoft's native Windows Metafile Format (WMF) and for either (a) displaying them in, e.g., an X window; or (b) converting them to more standard/open file formats such as, e.g., the W3C's XML-based Scaleable Vector Graphic (SVG) format.
Currently bindings exist for conversion to the following vector image formats:
* (Encapsulated) PostScript (EPS & PS)
* Facility for Interactive Generation of graphics (FIG)
* Scaleable Vector Graphic (SVG) and to the following raster image formats:
* Portable Network Graphics (PNG)
* Joint Photographic Experts Group (JPEG)

This package contains static libraries and header files need for development.

%prep
%setup -q
%patch0 -p1 -b .CAN-2004-0990
%patch1 -p1 -b .CAN-2004-0941
%patch2 -p1 -b .cve_2006_3376

%build
aclocal
libtoolize --copy --force
autoconf
automake

%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
%{_bindir}/gdk-pixbuf-query-loaders \
   > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders 2>/dev/null
exit 0

%postun
/sbin/ldconfig
%{_bindir}/gdk-pixbuf-query-loaders \
   > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders 2>/dev/null
exit 0

%files
%defattr(-,root,root)
%{_bindir}/wmf2*
%{_bindir}/libwmf-fontmap
%{_libdir}/*.so.*
%dir %{_datadir}/libwmf
%{_datadir}/libwmf/fonts/*
%{_libdir}/gtk-2.0/*

%files devel
%defattr(-,root,root)
%{_bindir}/libwmf-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_includedir}/libwmf
%{_includedir}/libwmf/*
%dir %{_datadir}/doc/libwmf
%{_datadir}/doc/libwmf/*

%changelog
* Thu Oct 28 2010 Automatic Build System <autodist@mambasoft.it> 0.2.8.4-7mamba
- automatic rebuild by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 0.2.8.4-6mamba
- automatic rebuild by autodist

* Thu Jun 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8.4-5mamba
- specfile updated

* Thu Jul 27 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.8.4-4qilnx
- security update: CVE-2006-3376 (bugzilla 207)

* Wed Jul 19 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.8.4-3qilnx
- fixed %%post and %%postun scriplets

* Fri Jun 30 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.8.4-2qilnx
- run gdk-pixbuf-query-loaders in post and postun scripts

* Thu Jun 29 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.2.8.4-1qilnx
- update to version 0.2.8.4 by autospec
- specfile updated and fixed
- security fix: CAN-2004-0941 (qibug:192)

* Mon Dec 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8.3-1qilnx
- new version build
- documentation moved to devel package

* Tue Dec 30 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8.2-1qilnx
- first build
